#!/bin/bash
#
# (c) astx (at) aws-it.at, 2018
# and (c) others - see DIYaudio thread https://www.diyaudio.com/forums/software-tools/331656-installing-using-ngspice-opensource-simulator.html
#
# $Id: runme.sh 1544 2018-12-28 21:04:39Z sta $
#
echo ""; echo ""
echo "#-----------------------------------------------------------------------"
echo "NOTE: For successful run you need at least ngspice version 29plus / 30!"
echo "If you get a 'Numparam expansion errors: Run Spice anyway? y/n ?'"
echo "continue pressing 'y' and hit <ENTER>".
echo "ngspice can be exited after simulation run by entering 'quit'"
echo ""
echo "#-----------------------------------------------------------------------"
echo "If you want to run ngspice now enter 'y' and hit <ENTER>"
echo "#-----------------------------------------------------------------------"

read a
if [ "$a" == "y" ]; then

	mynetlist="sa2015-4.net"
	# generate a fresh measurement script for the new netlist
	./generate_rms_power_dissipation_script.pl $mynetlist load_meas_tmp.ngspice

	ngspice -i ./combined_tran_ac_analysis.ngspice

	# reset terminal if ngspice terminates unexpectedly
	reset
	clear
fi
